socket.h File Reference
`#include <log4cplus/config.hxx>`
`#include <array>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/socketbuffer.h>`
Include dependency graph for helpers/socket.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::helpers::AbstractSocket
class | log4cplus::helpers::Socket
| This class implements client sockets (also called just "sockets"). More...
class | log4cplus::helpers::ServerSocket
| This class implements server sockets. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers

## Typedefs

typedef std::ptrdiff_t | log4cplus::helpers::SOCKET_TYPE

## Enumerations

enum | log4cplus::helpers::SocketState { log4cplus::helpers::ok , log4cplus::helpers::not_opened , log4cplus::helpers::bad_address , log4cplus::helpers::connection_failed , log4cplus::helpers::broken_pipe , log4cplus::helpers::invalid_access_mode , log4cplus::helpers::message_truncated , log4cplus::helpers::accept_interrupted }

## Functions

LOG4CPLUS_EXPORT SOCKET_TYPE | log4cplus::helpers::openSocket (unsigned short port, bool udp, bool ipv6, SocketState &state)
LOG4CPLUS_EXPORT SOCKET_TYPE | log4cplus::helpers::openSocket (tstring const &host, unsigned short port, bool udp, bool ipv6, SocketState &state)
LOG4CPLUS_EXPORT SOCKET_TYPE | log4cplus::helpers::connectSocket (const log4cplus::tstring &hostn, unsigned short port, bool udp, bool ipv6, SocketState &state)
LOG4CPLUS_EXPORT SOCKET_TYPE | log4cplus::helpers::acceptSocket (SOCKET_TYPE sock, SocketState &state)
LOG4CPLUS_EXPORT int | log4cplus::helpers::closeSocket (SOCKET_TYPE sock)
LOG4CPLUS_EXPORT int | log4cplus::helpers::shutdownSocket (SOCKET_TYPE sock)
LOG4CPLUS_EXPORT long | log4cplus::helpers::read (SOCKET_TYPE sock, SocketBuffer &buffer)
LOG4CPLUS_EXPORT long | log4cplus::helpers::write (SOCKET_TYPE sock, const SocketBuffer &buffer)
LOG4CPLUS_EXPORT long | log4cplus::helpers::write (SOCKET_TYPE sock, std::size_t bufferCount, SocketBuffer const *const *buffers)
LOG4CPLUS_EXPORT long | log4cplus::helpers::write (SOCKET_TYPE sock, const std::string &buffer)
LOG4CPLUS_EXPORT tstring | log4cplus::helpers::getHostname (bool fqdn)
LOG4CPLUS_EXPORT int | log4cplus::helpers::setTCPNoDelay (SOCKET_TYPE, bool)

## Variables

LOG4CPLUS_EXPORT SOCKET_TYPE const | log4cplus::helpers::INVALID_SOCKET_VALUE